Subject: Re: [PATCH 2/3] Documentation: Add definition of "evil merge" to GIT Glossary

From: Jakub Narebski <[email-masked]>
Date: Sat, 26 May 2007 02:34:38 +0200

J. Bruce Fields wrote:
> On Sat, May 26, 2007 at 12:37:39AM +0200, Jakub Narebski wrote:

>> +[[def_evil_merge]]evil merge::
>> +	An evil merge is a <<def_merge,merge>> that introduces changes that
>> +	do not appear in any <<def_parent,parent>>.
>> +
> 
> I'm a little skeptical.  This term doesn't appear to be used anywhere in
> the current documentation, for example--are you sure it's worth
> including at this point?  I don't know--I just don't want to end up with
> an entry for every piece of cute jargon that's been used as shorthand on
> the mailing list a few times.  But if you think it's sufficiently useful
> and well-established, then OK.

Currently only t/annotate-tests.sh uses "evil merge" term, but it is
I think quite commonly used in discussion.

Feel free to skip this patch, if you think it is not worth it, Junio.
-- 
Jakub Narebski
Poland